import 'package:json_annotation/json_annotation.dart';

part 'job_page_tab.g.dart';

@JsonSerializable()
class JobPageTab extends Object {
  @JsonKey(name: 'pageIndex')
  int pageIndex;

  @JsonKey(name: 'total')
  int total;

  @JsonKey(name: 'finishCount')
  int finishCount;

  JobPageTab(
    this.pageIndex,
    this.total,
    this.finishCount,
  );

  factory JobPageTab.fromJson(Map<String, dynamic> srcJson) => _$JobPageTabFromJson(srcJson);

  Map<String, dynamic> toJson() => _$JobPageTabToJson(this);
}
